<?php

if ($level <= 3) {
  die(__('У вас нет прав доступа'));
}
//
if (isset($_POST['searsh'])){$_GET['pr']=$_POST['prima'];unset($_GET['se']);} //
//
if (isset($_POST['searsh2'])){
$_GET['pr']=$_POST['prima'];
$_GET['se']=$_POST['second'];
}
$prima = (isset($_GET['pr'])?$sql -> fetch("SELECT * FROM `users` WHERE `id`='".intval($_GET['pr'])."' LIMIT 1"):$user);
if (!$prima){$prima=$user;}
$second = (isset($_GET['se'])? $sql -> fetch("SELECT * FROM `users` WHERE `id`='".intval($_GET['se'])."' LIMIT 1"):null);
// Обработчик
if (isset($_GET['dellpost'])) // Удаление одного поста
{
$sql -> delete("DELETE FROM `mail` WHERE `id`='".intval($_GET['dellpost'])."' LIMIT 1");
$_SESSION['message'] = "Удалено";
}
//
if (isset($_GET['dellall']))
{
$sql -> delete("DELETE FROM `mail` WHERE `id_user`='".intval($_GET['dellall'])."'");
$_SESSION['message'] = "Очищенина переписка";
}
//
if (isset($_GET['dellmails']) && $prima && $second)
{
$sql -> delete("DELETE FROM `mail` WHERE (`id_user`='$prima[id]' AND `id_contact`='$second[id]') OR (`id_user`='$second[id]' AND `id_contact`='$prima[id]')");
$_SESSION['message'] = "Удалена переписка: " .$prima['login']." между ".$second['login'];
}
//
// скачивание в тхт формате
if (isset($_GET['text']))
{
ob_clean();
ob_implicit_flush();
header('Content-Type: text/plain; charset=utf-8', true);

header('Content-Disposition: attachment; filename="Переписка_'.$prima['id']."_".$second['id'].'.txt";');   // 
echo "Личная переписка: $prima[login] и $second[login]\r\n";
$qp= $sql -> select("SELECT * FROM `mail` WHERE (`id_user`='$prima[id]' AND `id_contact`='$second[id]') OR (`id_user`='$second[id]' AND `id_contact`='$prima[id]') ORDER BY `id` ASC");
$nick_sel=array(
"$prima[id]"=>"$prima[login]",
"$second[id]"=>"$second[login]"
);

  foreach ($qp AS $post) {
    $num++;
echo "\r\n";

echo date("j M Y в H:i", $post['time'])." ".$nick_sel[$post['id_user']]."\r\n";

echo text_out($post['msg'],"\r\n")."";
}
exit();
}
$system['title'] = 'Майл-Шпион';
require SYS . 'header.php';

echo "<form method='post'>";
echo "".login($prima['id'], 1)."<br /> Ид 1: <input size='7' type='text' name='prima' value='".($prima?intval($prima['id']):null)."' />";
echo "<input type='submit' name='searsh' value='Поиск' /><br />";
if ($second)
{
echo " ".login($second['id'], 1)." <br />";
}
echo " Ид 2: <input size='7' type='text' name='second' value='".($second?intval($second['id']):null)."' />";
echo "<input type='submit' name='searsh2' value='Поиск' /><br />";
echo "</form>";

if (!$second)
{
// вывод контактов пользователя
$k_post= $sql -> selectCount("SELECT COUNT(*) FROM `contacts` WHERE `id_user`='$prima[id]'");
echo "<div class='title'>Контакты <b>$prima[login]</b></div>";
if ($k_post == 0) {
  ?>
  <div class="alert" style="margin: 2px;">У <b><?= $prima['login']?></b> нет контактов!</div>
  <?
}else{


$k_page=k_page($k_post,$system['page_str']);
$page=page($k_page);
$start=$system['page_str']*$page-$system['page_str'];
$q = $sql -> select("SELECT * FROM `contacts` WHERE `id_user`='$prima[id]' ORDER BY `time_last` DESC LIMIT $start, $system[page_str]");
  
  //if ($sql -> selectRow($q))
  //{
    
    foreach ($q AS $data)
	//while($data= $sql -> fetch($q,MYSQL_ASSOC))
    {
	$num++;
    //$sec= $data['id_contact'];
    echo "<div class='main_menu'><a href='/?func=mod.mailspy&amp;pr=$prima[id]&amp;se=$data[id_contact]'> ".login($data['id_contact'])."</a> <a href='/?func=mod.mailspy&amp;pr=$data[id_contact]'> [контакты]</a></div>";
    }
  if ($k_page>1)str("/?func=mod.mailspy&amp;pr=$prima[id]&amp;",$k_page,$page); // Вывод страниц
//}else{echo "<div class='err'>У <b>$prima[login]</b> нет контактов!</div>";}
}
}else{
#$set['p_str']=1;// DEBUG
$k_post= $sql -> selectCount("SELECT COUNT(*) FROM `mail` WHERE (`id_user`='$prima[id]' AND `id_contact`='$second[id]') OR (`id_user`='$second[id]' AND `id_contact`='$prima[id]')");
echo "<div class='title'>переписка <b><a href='/?func=mod.mailspy&amp;pr=$prima[id]'>$prima[login]</a></b> и <b><a href='/?func=mod.mailspy&amp;pr=$second[id]'>$second[login]</a></b></div>";

if ($k_post == 0) {
  ?>
  <div class="alert" style="margin: 2px;">Список сообщений пуст</div>
  <?
}else{

$k_page=k_page($k_post,$system['page_str']);
$page=page($k_page);
$start=$system['page_str']*$page-$system['page_str'];
$q = $sql -> select("SELECT * FROM `mail` WHERE (`id_user`='$prima[id]' AND `id_contact`='$second[id]') OR (`id_user`='$second[id]' AND `id_contact`='$prima[id]') ORDER BY `id` DESC LIMIT $start, $system[page_str]");
  //if (mysql_num_rows($q))
  //{
      foreach ($q AS $data)
	//while($data= $sql -> fetch($q,MYSQL_ASSOC))
    {
    
        if ($data['file']) {
      $file = unserialize($data['file']);
    } else {
      $file = false;
    }
    

    
	$num++;
	
      echo "<div class='nav2'>";
      $autor=($data['id_user']==$prima['id']?$prima:$second);
      echo "<b> ".login($autor['id'], 1)."</b> ".vremja($data['time']).($data['read']==0?" <font color='red'>[new]</font>":null)."<br />";
      echo "</div>"; 
	  echo "<div class='nav1'>";
      echo text_out($data['msg']);
      ?>
                <? if (isset($file['name'])) { ?>
      <?= (preg_match('/image/i', $file['type']) ? '<img src="/_images/screen/mail/' . $file['cache'] . '.png" /><br />' : '')?>
<a href="/mail/user/<?= $autor['id']?>/download/<?= $data['id']?>/<?= text(latin($file['name']))?>.<?= text($file['ras'])?>">      
<i class="icon-download-alt"></i> <?= text($file['name'])?>.<?= text($file['ras'])?></a>
      <? } 
        echo "<div style='text-align: right;'>";
        echo "<a href='/?func=mod.mailspy&amp;dellpost=$data[id]&amp;pr=$prima[id]&amp;se=$second[id]&amp;page=$page'> [x]</a>";
        echo "</div>";
      echo "</div>";
      }
if ($k_page>1)str("/?func=mod.mailspy&amp;pr=$prima[id]&amp;se=$second[id]&amp;",$k_page,$page); // Вывод страниц
  //}else{
  //echo "<div class='err'>Переписка между <a href='?pr=$prima[id]&amp;page=$page'>$prima[login]</a> и <a href='?pr=$second[id]&amp;page=$page'>$second[login]</a> пуста!</div>";
  //}
}
}
//
echo "<div class='foot'>";
if ($prima) {echo "<a href='/?func=mod.mailspy&amp;dellall=$prima[id]&amp;pr=$prima[id]".($second?"&amp;se=$second[id]":null)."'>Удалить все исходящие от $prima[login]</a><br />";}
if ($second) {echo "<a href='/?func=mod.mailspy&amp;dellall=$second[id]&amp;pr=$prima[id]&amp;se=$second[id]'>Удалить все исходящие от $second[login]</a><br />";}
if ($prima && $second && $k_post)
{
echo "<a href='/?func=mod.mailspy&amp;dellmails&amp;pr=$prima[id]&amp;se=$second[id]'>Очистить переписку между $prima[login] и $second[login]</a><br />";
echo "<a href='/?func=mod.mailspy&amp;text=$second[id]&amp;pr=$prima[id]&amp;se=$second[id]'>Скачать переписку между $prima[login] и $second[login]</a><br />";
}
echo "</div>";
//
//if (user_access('adm_panel_show')){
//echo "<div class='foot'>\n";
//echo "&laquo;<a href='/adm_panel/'>В админку</a><br />\n";
//echo "</div>\n";
//}

//include_once '../sys/inc/tfoot.php';
/*
INSERT INTO `all_accesses` ( `type` , `name` ) 
VALUES (
'md_mail_spy', 'Почтовый шпион'
);
*/
?>